Install ABAQUS in Linux system and link with Fortran Compiler

Install ABAQUS in Linux system and link with Fortran Compiler

Hello everyone,

I used to use ABAQUS in Window OS and successfully link with Fortran Compiler. And I have already bought the Intel Fortran 11.1 license. Now, I want to install ABAQUS in Linux system (Linux mint 16.0 which is based on Ubuntu Saucy according to the description) on the same computer. I read several blog about the installation, most of them are for old version of ABAQUS. I didn't know whether it is still work if I use ABAQUS 12.0. I hope anyone who has such experience can give me some advice before I start. Here are my questions,

  • Is the operation system correct?

 On ABAQUS website, it says Red Hat and SUSE linux OS can work. It doesn't mention Ubuntu. Some people say it also works. Has anyone here success installing in Ubuntu?

  • What type of C++ is needed?

According to the configuration listed on ABAQUS website, only Intel C++ is listed. But I have no Intel C++ license. What I have is Visual Studio 2008, which works well under Windows OS. Can I use VC 2008 as well in Linux system?

  • Can I use the same Intel Fortran Compiler License?

I am using dual operating system. So my Fortran Compiler will be used on the same computer, but different system. I was using the license which can be only used in one computer. So can I use the same license?

  • The last question is whether anyone has seen related blog or tutorial. If you have, please tell me. I need a good reference.

Many thanks.

Chao

7 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Dear Cao,

we're using Abaqus 6.12.2 the latest version is 6.13, so I assume you don't have v 12 but rather 6.12.x. This is running on our Ubuntu 12.04 systems with Ifort 12.1.2. We don't have intel c++ installed, hence if it needs a c++ compiler it's using the system default GNU c++.

Please find our environment file for Abaqus attached, it might need changes for your system. And give it the correct extension back (env, but the forum does not allows this)

best regards

Martin

Attachments: 

AttachmentSize
Download abaqus_v6.txt3.23 KB
damask.mpie.de www.mpie.de

Martin,

Thank you so much. Yes, I meant ABAQUS 6.12 not 12.0. I made a mistake. 

I appreciate your information. Do you have any reference of installation procedure for me to follow? 

Chao

Dear Chao,

I don't have too much experience with the installation, as far as I know just follow the manual and than put your env file in the folder containing the subroutine (UMAT). You can also download DAMASK from damask.mpie.de and have a look at our UMAT.

best regards

Martin

 

damask.mpie.de www.mpie.de

Visual Studio is irrelevant when you are using linux.

There are many references available on line, in addition to the "official" Abaqus documentation, which would be more trustworthy than what you would find here.  As Martin said, you can use ifort together with the gcc and g++ which come (as optional installation package) with a version of linux which Abaqus supports.

The usual question on this forum is about the advisability of using a newer version of ifort than those which Abaqus recommends as fully tested for your version of Abaqus.  That should work, but there is seldom much to gain by it, so you can follow the procedure at

 http://software.intel.com/en-us/articles/older-version-product

to download a version of ifort specifically recommended by Abaqus, using your license registration credentials.  You can select among multiple installed versions of ifort by sourcing the corresponding compilervars scripts.

Hi Abaqus users,

I tried to install abaqus 6.14.1 on ubuntu 14.10 via the command line by using "./setup --infosys" but the installation was aborted indicating the following message : " Please run the setup script at the top level of your Abaqus media"

How I can fix this pb ?

Greetings,

 

Harfbuzz, it sounds as if you have a generic Abaqus install question, rather than one relating to use of Abaqus with Intel Fortran. Please look for Abaqus support at http://www.3ds.com/products-services/simulia/products/abaqus/

Steve Intel Developer Support

Login to leave a comment.